-- Images must be .tga format, 32x32 pixels in the Emotes folder

local emotes = {
	-- Add emotes here, they will be surrounded with ":"
	"nize", -- E.g. this is written as --> :nize:
	"gkick", 
	"seemsbozi",
	"bozibad2",
	"dinnerboy",
	"56percent",
	"rolf",
	"bred",
	"catidiot",
	"bozibad2_1",
	"bozibad2_2",
	"bozibad2_3",
	"bozibad2_4",
}

-- Restart game after adding emotes

-------------------------------------------------------------------------------------------------
-- Do not edit below this line
-------------------------------------------------------------------------------------------------

local defaultpack = {};
local emoticons = {};

for i, emote in ipairs(emotes) do
	defaultpack[emote] = "Interface\\AddOns\\UnluckyTwitchEmotes\\Emotes\\"..emote..".tga:28:28";
	emoticons[":"..emote.. ":"] = emote;
end

local Emoticons_Deformat_old = Emoticons_Deformat;

function Emoticons_Deformat(msg)
	for k,v in pairs(emoticons) do
		msg=string.gsub(msg,"|T"..defaultpack[k].."%:28%:28|t",v);
	end
	return Emoticons_Deformat_old(msg);
end

local Emoticons_InsertEmoticons_old = Emoticons_InsertEmoticons;

function Emoticons_InsertEmoticons(msg)
	for k,v in pairs(emoticons) do
		if (string.find(msg,k,1,true)) then
			msg = string.gsub(msg,"(%s)"..k.."(%s)","%1|T"..defaultpack[v].."|t%2");
			msg = string.gsub(msg,"(%s)"..k.."$","%1|T"..defaultpack[v].."|t");
			msg = string.gsub(msg,"^"..k.."(%s)","|T"..defaultpack[v].."|t%1");
			msg = string.gsub(msg,"^"..k.."$","|T"..defaultpack[v].."|t");
			msg = string.gsub(msg,"(%s)"..k.."(%c)","%1|T"..defaultpack[v].."|t%2");
			msg = string.gsub(msg,"(%s)"..k.."(%s)","%1|T"..defaultpack[v].."|t%2");
		end
	end
	return Emoticons_InsertEmoticons_old(msg);
end